summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Couzens <lynxis@fe80.eu>2020-08-15 13:36:27 +0200
committerlynxis lazus <lynxis@fe80.eu>2020-08-31 15:57:56 +0000
commitb12f989f86ee308d8be8f58580ed71f1c1f35952 (patch)
treef11f09a554c279e5f9bac32c616271221c0788b1
parent53e344d5749858cf8ab3e861ecef75f966680da6 (diff)
ansible: osmocom-jenkins-slave: install SRS packages only on debian >= 9
Before debian 9 those packages aren't available. e.g. libczmq-dev or libsoapysdr-dev Change-Id: I019ec01dc7e0a53fa4ce9e8579fbafb3916f559b
-rw-r--r--ansible/roles/osmocom-jenkins-slave/tasks/osmocom_build_deps.yml1
1 files changed, 1 insertions, 0 deletions
diff --git a/ansible/roles/osmocom-jenkins-slave/tasks/osmocom_build_deps.yml b/ansible/roles/osmocom-jenkins-slave/tasks/osmocom_build_deps.yml
index e2196b6..54dcdc7 100644
--- a/ansible/roles/osmocom-jenkins-slave/tasks/osmocom_build_deps.yml
+++ b/ansible/roles/osmocom-jenkins-slave/tasks/osmocom_build_deps.yml
@@ -154,6 +154,7 @@
- libuhd-dev
- libczmq-dev
- libsoapysdr-dev
+ when: ansible_distribution == 'Debian' and ansible_distribution_version|int >= 9
- name: install open5gs build dependencies
apt: